automation-cloud
latest
false
UiPath logo, featuring letters U and I in white

Automation Cloud API 指南

上次更新日期 2026年1月30日

获取组织访问策略

检索特定组织的访问策略中定义的所有实体。

Endpoint

GET /api/PartitionAccessPolicy/{partitionGlobalId}

请求标头

--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'

参数

名称类型位置必填描述
partitionGlobalIdGUID路径

组织的全局标识符。

有关检索partitionGlobalId的步骤,请参阅检索分区全局 ID 以供 API 使用

响应

200 OK

[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Engineering Team",
    "type": "Group",
    "directoryId": "750e8400-e29b-41d4-a716-446655440000"
  },
  {
    "id": "660e8400-e29b-41d4-a716-446655440001",
    "name": "john.doe@company.com",
    "type": "User",
    "directoryId": "750e8400-e29b-41d4-a716-446655440000"
  }
][
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "name": "Engineering Team",
    "type": "Group",
    "directoryId": "750e8400-e29b-41d4-a716-446655440000"
  },
  {
    "id": "660e8400-e29b-41d4-a716-446655440001",
    "name": "john.doe@company.com",
    "type": "User",
    "directoryId": "750e8400-e29b-41d4-a716-446655440000"
  }
]

请求示例

[
    {
        "objectType": "DirectoryGroup",
        "externalId": null,
        "source": "local",
        "identifier": "cdc34b5b-77d2-4ae1-9744-209d21ce557d",
        "name": "Automation Users",
        "email": null,
        "displayName": "Automation Users"
    },
    {
        "objectType": "DirectoryGroup",
        "externalId": null,
        "source": "local",
        "identifier": "35551807-06b1-4cda-90a1-2fb84851eee7",
        "name": "Administrators",
        "email": null,
        "displayName": "Administrators"
    }
][
    {
        "objectType": "DirectoryGroup",
        "externalId": null,
        "source": "local",
        "identifier": "cdc34b5b-77d2-4ae1-9744-209d21ce557d",
        "name": "Automation Users",
        "email": null,
        "displayName": "Automation Users"
    },
    {
        "objectType": "DirectoryGroup",
        "externalId": null,
        "source": "local",
        "identifier": "35551807-06b1-4cda-90a1-2fb84851eee7",
        "name": "Administrators",
        "email": null,
        "displayName": "Administrators"
    }
]

错误响应

  • 401 Unauthorized :身份验证令牌缺失或无效
  • 403 Forbidden :权限不足(不在管理员组中或缺少所需作用域)
  • 404 Not Found :组织不存在
  • Endpoint
  • 请求标头
  • 参数
  • 响应
  • 200 OK
  • 请求示例
  • 错误响应

此页面有帮助吗?

连接

需要帮助? 支持

想要了解详细内容? UiPath Academy

有问题? UiPath 论坛

保持更新